g3toxwd(1)

NAME
g3toxwd - converts a Group 3 fax file into a displayable xwd file

SYNOPSIS
g3toxwd [-kludge] [-reversebits] [-scale N] [-aspect N] [-skiprows N] [-name xwdname] [g3file]

DESCRIPTION
Reads a Group 3 fax file (raw or digifax) as input. If no filename is given, stdin is used. Produces a displayable xwd file as output.

OPTIONS

-kludge
    Tells g3toxwd to skip the first lines for synchronisation.

-reversebits
    Tells g3toxwd to interpret bits least-significant first, instead of the default most-significant first. Apparently some fax modems do it one way and others do it the other way. If you get a whole bunch of "invalid code" messages, try using this flag.

-scale N
    Scale the output to match the printer resolution and paper size, the default of 0.58 will do in most cases.

-aspect N
    Scale the output to match the printer resolution and paper size, the default of 1.0 will do for high resolution faxes, 2.0 will do for low resolution faxes.

-skiprows N
    N faxrows of the input file will be skipped.

-name <name>
    The name <name> will be put in the output file for xwd.

REFERENCES
The standard for Group 3 fax is defined in CCITT Recommendation T.4.

BUGS
Long fax files are not handled properly. Output size fixed 1000x1350 pixels defined at compile time. Please report bugs to chel@vangennip.nl

SEE ALSO
pbmtog3(1), pbm(5), g3cat(1), sendfax(8), mgetty(1)

AUTHOR
g3toxwd is Copyright (C) 1994 by Chel van Gennip, <chel@vangennip.nl>. Sources of g3topbm and pbmtoxwd programs in Jef Poskanzers pbmplus package have been used, but al lot of code has been changed or added to simplify its use for displaying faxes. Value added: low use of memory, fast scaling.